## bhl 1.7.3

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 ###
 ### Makefile for the BHL mode
 ###
-### Author:  Bastien Guerry <bastien1@free.fr>
+### Author:  Bastien Guerry <bastien1NOSPAM@free.fr>
 ### Revised: 23/07/2003
 ### Created: 11/16/2002
 ### URL: http://www.nongnu.org/bhl/
