=== debian/changelog ===
bhl (1.7.3-3) unstable; urgency=medium

  * QA upload
  * changed build-dependency from emacs23 to emacs. Thanks to Gabriele Giacone
    for the patch (Closes: #753996)

 -- Ralf Treinen <treinen@debian.org>  Fri, 19 Sep 2014 19:15:32 +0200

bhl (1.7.3-2) unstable; urgency=low

  * QA upload, setting maintainer to qa team
  * set source format to "3.0 (quilt)"
  * add ${misc:Depends}
  * rebuilt should solve all texinfo problems (Closes: 181680)
  * switch to debhelper compat level 7
  * build _all package in binary-indep
  * support build-arch, build-indep
  * make description more easy to understand (Closes: 287055)
  * bump Standards-Version
  * mention bhl.texi's GFDL in debian/copyright
  * mention org-mode in description

 -- Bernhard R. Link <brlink@debian.org>  Sun, 18 Sep 2011 14:24:40 +0200

bhl (1.7.3-1) unstable; urgency=low

  * New upstream release (Closes: #303112)

 -- Mario Lang <mlang@debian.org>  Wed,  6 Apr 2005 11:47:53 +0200

bhl (1.7.0a-1) unstable; urgency=low

  * New upstream release.

 -- Mario Lang <mlang@debian.org>  Mon,  4 Aug 2003 10:50:10 +0200

bhl (1.6.1a-1) unstable; urgency=low

  * New upstream version
  * Now byte-compile for XEmacs21 too (Closes: #180638)

 -- Mario Lang <mlang@debian.org>  Wed, 21 May 2003 22:54:16 +0200

bhl (1.6-1) unstable; urgency=low

  * New upstream release

 -- Mario Lang <mlang@debian.org>  Tue, 25 Mar 2003 13:37:33 +0100

bhl (1.4.2-1) unstable; urgency=low

  * New upstream version

 -- Mario Lang <mlang@debian.org>  Thu, 20 Feb 2003 22:19:20 +0100

bhl (1.4.1-1) unstable; urgency=low

  * New upstream version
  * Fix emacs20 compatibility issues (Closes: Bug#180437)

 -- Mario Lang <mlang@debian.org>  Thu, 20 Feb 2003 15:52:30 +0100

bhl (1.3.3-2) unstable; urgency=low

  * Fix Build-depends

 -- Mario Lang <mlang@debian.org>  Wed,  9 Feb 2003 12:20:11 +0100

bhl (1.3.3-1) unstable; urgency=low

  * Initial release

 -- Mario Lang <mlang@debian.org>  Wed, 29 Jan 2003 18:53:47 +0100
