=== debian/control ===
Source: bhl
Section: editors
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>> 7), texinfo
Standards-Version: 3.9.2

Package: bhl
Architecture: all
Depends: emacs | emacsen, ${misc:Depends}
Description: Emacs mode for converting annotated text to HTML and LaTeX
 BHL is an Emacs mode that enables you to convert text files into
 HTML, LaTeX and SGML files.
 .
 In order to convert TXT files into other formats, you need to use some
 syntactical elements.  The purpose of this mode is to use the most
 invisible and convenient syntax.  Invisible syntax means that the
 source file must be as readable as possible (like any TXT file must be).
 Convenient syntax means that the syntax must fit user's habits.
 .
 A more modern alternative is org-mode.
