=== debian/watch ===
# see uscan(1) for format

# this package seems now only available on www.archive.org
# (including some newer package, search for
# http://cognition.ens.fr/~guerry/bhl/download on www.archive.org)
